mail::ACCOUNT::getFolderFromPath
Prev | mail::ACCOUNT Synchronous API reference | Next

## Name

mail::ACCOUNT::getFolderFromPath — A direct short-cut to a folder

## Synopsis

#include <libmail/sync.H>
mail::ACCOUNT *mail;
mail::folder *folder;
std::string folderPath=folder->getPath();
...

`mail::folder *f=mail->getFolderFromPath(` | std::string folderPath`)`;

## USAGE

This function is the mail::ACCOUNT equivalent of mail::account::findFolder(3x). See the description of this function for more information.

## RETURN CODES AND CALLBACKS

This function returns a NULL pointer if it cannot allocate memory for the new mail::folder object.

## SEE ALSO

mail::account::findFolder(3x).

Prev | Up | Next
mail::ACCOUNT::getFolderIndexSize | Home | ToC | mail::ACCOUNT::getFolderFromString